copyImageFromClipboard function failed to generate a unique file name

2022-04-04 09:25 - Simon Hori

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.2.6   

Resolution: Fixed Affected version:  

Description

Hello,

The function copyImageFromClipboard is NOT generating unique file name but always uploading image.png.

 clipboardimage.jpg 

I've confirmed the problem in chrome 99.0.4844.74, edge 100.0.1185.29, firefox 98.0.2.

This is our environment.

Environment:

  Redmine version                4.2.5.stable

  Ruby version                   2.6.9-p207 (2021-11-24) [x86_64-linux-musl]

  Rails version                  5.2.6.3

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

 Possible reason:

According from the public/javascripts/attachments.js#L283-L291 I felt that the variable 'filename' is defined but not used. Can it be

the reason of this behavior?

Thank you very much for your support.

Related issues:

Related to Redmine - Defect #36013: Paste image mixed with other DataTransfer... Closed

Has duplicate Redmine - Defect #36911: Clipboard copy is broken after upgrade... Closed

Copied from Redmine - Patch #36817: copyImageFromClipboard function targets t... Closed

Associated revisions

Revision 21523 - 2022-04-05 09:01 - Marius BĂLTEANU

Fix that copy paste image from clipboard fails to generate a unique file name (#36887).

Revision 21530 - 2022-04-11 09:09 - Marius BĂLTEANU

Merged r21523 to 5.0-stable (#36887).

Revision 21531 - 2022-04-11 09:10 - Marius BĂLTEANU

Merged r21523 to 4.2-stable (#36887).

History

#1 - 2022-04-04 09:25 - Simon Hori

- Copied from Patch #36817: copyImageFromClipboard function targets the first file input of the page and may conflict with other plugins added

#2 - 2022-04-04 15:18 - Simon Hori

I am sorry Marius BALTEANU. Maybe I shouldn't have copied #36817 with the target version and the assignee. Please let me know if I should create

a new issue from scratch.
https://github.com/redmine/redmine/blob/master/public/javascripts/attachments.js#L283-L291
https://www.redmine.org/issues/36817


#3 - 2022-04-04 19:35 - Marius BĂLTEANU

- Status changed from New to Confirmed

#4 - 2022-04-04 20:17 - Marius BĂLTEANU

- File 0001-Fix-copyImageFromClipboard-function-failed-to-genera.patch added

Simon, thanks for reporting this! Can you test the attached fix?

#5 - 2022-04-04 20:19 - Marius BĂLTEANU

- File deleted (0001-Fix-copyImageFromClipboard-function-failed-to-genera.patch)

#6 - 2022-04-04 20:19 - Marius BĂLTEANU

- File 0001-Fix-copyImageFromClipboard-function-failed-to-genera.patch added

#7 - 2022-04-05 02:34 - Simon Hori

- File after-the-patch.jpg added

Awesome!! It works, thank you so much for the quick fix.

Screenshot

 after-the-patch.jpg 

#8 - 2022-04-05 09:01 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

#9 - 2022-04-05 09:01 - Marius BĂLTEANU

Fix committed, thanks!

#10 - 2022-04-10 10:38 - Go MAEDA

- Related to Defect #36911: Clipboard copy is broken after upgrade to 4.2.5 or 5.0.0 from 4.2.3 added

#11 - 2022-04-10 10:38 - Go MAEDA

- Related to deleted (Defect #36911: Clipboard copy is broken after upgrade to 4.2.5 or 5.0.0 from 4.2.3)

#12 - 2022-04-10 10:38 - Go MAEDA

- Has duplicate Defect #36911: Clipboard copy is broken after upgrade to 4.2.5 or 5.0.0 from 4.2.3 added

#13 - 2022-04-10 10:43 - Go MAEDA

- Related to Defect #36013: Paste image mixed with other DataTransferItem added

#14 - 2022-04-11 09:12 - Marius BĂLTEANU

Merged to stable branches, but I will keep this open for a few days, I would like to try add a system test.

#15 - 2022-05-02 21:35 - Marius BĂLTEANU

- Status changed from Resolved to Closed

I didn't find a way to add a test for this, any help is welcome.
